# Module core::task
1.36.0[−][src]

Types and Traits for working with asynchronous tasks.

## Macros

ready | Experimental Extracts the successful type of a `Poll<T>`.

## Structs

Context | The `Context` of an asynchronous task.
RawWaker | A `RawWaker` allows the implementor of a task executor to create a `Waker` which provides customized wakeup behavior.
RawWakerVTable | A virtual function pointer table (vtable) that specifies the behavior of a `RawWaker`.
Waker | A `Waker` is a handle for waking up a task by notifying its executor that it is ready to be run.

## Enums

Poll | Indicates whether a value is available or if the current task has been scheduled to receive a wakeup instead.